Mexico eKYB Lite

Earlier in our docs is an overview of our Know Your Business here. Now, this page is focused specifically on eKYB in Mexico (MX). eKYB in MX leverages the government sources of truth to validate the legitimacy of businesses, including their taxID (either Vat No or Reg No), business name and business address.

Note: UBOs and Directors are not currently supported for MX. If interested, contact our support team.

Integration

User input flow

eKYB Lite user input flow example

Note: Only postal code verification is available in Mexico eKYB Lite.

Module Configuration

Module configuration gives various options to specify different KYB criteria you would like to check (eg. Business name, Business Address, and Business taxID).

KYB module configuration

Note: Only postal code verification is available in Mexico eKYB Lite.

Direct API Approach

All module configurations and user data can be forwarded directly in the request for performing a KYB search. This will override existing configuration and data collected about the user.

📘

API Authentication

All endpoints require authentication headers to be specified as stated in Incode API Documentation

KYB request

POST /omni/externalVerification/ekyb
This endpoint performs an KYB check for the business specified. Note: Endpoint can have empty body {} and in that case information will be pulled from module configuration and session details.

Individual - 13 characters (4 letters, 6 numbers, 3 characters);
Business - 12 characters (3 letters, 6 numbers, 3 characters)

Note: The country parameter is used to limit business validation to that specific region. We will only validate a business established in the country selected in the eKYB request.

✍️

Business Tax ID in MX

Individuals CURP: 13 digits (4 letters, 6 digits, 3 alpha-numeric characters) Businesses CURP: 12 digits (3 letters, 6 digits, 3 alpha-numeric characters)

JSX

REQUEST FORMAT EXAMPLE
{
  "plugins" : ["ekyb"], //required field
  "businessName" : "Aerolíneas del Sureste S.A. de C.V.", //required field
  "postalCode" : "03800", // required field
  "country" : "MX", //required field
  "taxId" : "ASU1003149Z1", //required field
}

Response

All module configurations and user data can be forwarded directly in the request for performing an eKYB search. This will override existing configuration and data collected about the user.

JSX

RESPONSE EXAMPLE

"kyb": [\
    {\
      "key": "name",\
      "sub_label": "Verified"\
    },\
    {\
      "key": "tin",\
      "sub_label": "Verified",\
    },\
    {\
      "key": "postalCodeMatch",\
      "sub_label": "Verified"\
    },\
    {\
      "key": "registrationStatus",\
      "sub_label": "Active"\
    },\
   \t{\
      "key": "entityType",\
      "entityType": {\
      "entityType": "S.A. de C.V."\
    }\
    }\
} \
Mexico API Key Status Definition
name Verified, Unverified Submitted business name is verified or unverified against the business name associated with the business Tax ID in the government database.
tin Verified, Unverified Submitted Tax ID verified or not verified in the government database.
postalCodeMatch Verified, Unverified Submitted postal code is verified or unverified against the address associated with the business taxID in the government database.
registrationStatus Active, Inactive, Unknown Active: This occurs if the registration status of the business is active.
Inactive: This occurs if the registration status of the business is suspended or inactive or if the business no longer exists.
Unknown: This occurs if the registration status of the business is not available.
entityType Legal entity type of the business This displays the legal entity type of the company, if available, from an official source. If not available, “Unknown” is displayed.

KYB error responses

Please refer to error response to see conventional HTTP response codes to indicate the success or failure of an API request.

Custom 400 error messages if businessName, taxId, or country is “ “ or null:

message: businessName, taxId, and country are minimum required fields.

Single Session Dashboard Results

They are available on Single Session view under Business tab

eKYB results

Updated 19 days ago